com.tibbo.aggregate.common.action

## Class ActionUtils

- java.lang.Object
- - com.tibbo.aggregate.common.action.ActionUtils

-     public abstract class ActionUtils
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CANCEL_OPTION`
    `static int` | `CLOSED_OPTION`
    `static java.lang.String` | `CMD_ACTIVATE_DASHBOARD`
    `static java.lang.String` | `CMD_BROWSE`
    `static java.lang.String` | `CMD_CLOSE_DASHBOARD`
    `static java.lang.String` | `CMD_CONFIRM`
    `static java.lang.String` | `CMD_EDIT_CODE`
    `static java.lang.String` | `CMD_EDIT_DATA`
    `static java.lang.String` | `CMD_EDIT_EXPRESSION`
    `static java.lang.String` | `CMD_EDIT_GRID_DASHBOARD`
    `static java.lang.String` | `CMD_EDIT_PROCESS_CONTROL_PROGRAM`
    `static java.lang.String` | `CMD_EDIT_PROPERTIES`
    `static java.lang.String` | `CMD_EDIT_REPORT`
    `static java.lang.String` | `CMD_EDIT_TEXT`
    `static java.lang.String` | `CMD_EDIT_WIDGET`
    `static java.lang.String` | `CMD_EDIT_WORKFLOW`
    `static java.lang.String` | `CMD_LAUNCH_PROCESS_CONTROL_PROGRAM`
    `static java.lang.String` | `CMD_LAUNCH_WIDGET`
    `static java.lang.String` | `CMD_LAUNCH_WORKFLOW`
    `static java.lang.String` | `CMD_OPEN_GRID_DASHBOARD`
    `static java.lang.String` | `CMD_SELECT_ENTITIES`
    `static java.lang.String` | `CMD_SHOW_DIFF`
    `static java.lang.String` | `CMD_SHOW_ERROR`
    `static java.lang.String` | `CMD_SHOW_EVENT_LOG`
    `static java.lang.String` | `CMD_SHOW_GUIDE`
    `static java.lang.String` | `CMD_SHOW_HTML_SNIPPET`
    `static java.lang.String` | `CMD_SHOW_MESSAGE`
    `static java.lang.String` | `CMD_SHOW_REPORT`
    `static java.lang.String` | `CMD_SHOW_SYSTEM_TREE`
    `static java.util.Map<java.lang.String,java.lang.Class>` | `COMMANDS`
    `static int` | `DELTA_HIGH`
    `static int` | `DELTA_HIGHER`
    `static int` | `DELTA_HIGHEST`
    `static int` | `DELTA_LOW`
    `static int` | `DELTA_LOWER`
    `static int` | `DELTA_LOWEST`
    `static int` | `DELTA_VERY_HIGH`
    `static int` | `DELTA_VERY_LOW`
    `static java.util.Map<java.lang.String,java.lang.String>` | `DESCRIPTIONS`
    `static int` | `ERROR_MESSAGE`
    `static java.lang.String` | `FIELD_ACTION_EXECUTION_PARAMETERS`
    `static java.lang.String` | `FIELD_ACTION_FROM_CONTEXT`
    `static java.lang.String` | `FIELD_ACTION_TARGET_CONTEXT`
    `static TableFormat` | `FORMAT_DND_ACTION`
    `static TableFormat` | `FORMAT_NORMAL_ACTION`
    `static TableFormat` | `FORMAT_PROPAGATED_ACTION`
    `static java.util.Map<java.lang.String,TableFormat>` | `FORMATS`
    `static int` | `INDEX_HIGH`
    `static int` | `INDEX_HIGHER`
    `static int` | `INDEX_HIGHEST`
    `static int` | `INDEX_LOW`
    `static int` | `INDEX_LOWER`
    `static int` | `INDEX_LOWEST`
    `static int` | `INDEX_NORMAL`
    `static int` | `INDEX_VERY_HIGH`
    `static int` | `INDEX_VERY_LOW`
    `static int` | `INFORMATION_MESSAGE`
    `static int` | `NO_OPTION`
    `static int` | `OK_CANCEL_OPTION`
    `static int` | `OK_OPTION`
    `static int` | `PLAIN_MESSAGE`
    `static int` | `QUESTION_MESSAGE`
    `static java.lang.String` | `RESPONSE_CLOSED`
    `static java.lang.String` | `RESPONSE_ERROR`
    `static java.lang.String` | `RESPONSE_OK`
    `static java.lang.String` | `RESPONSE_SAVED`
    `static int` | `WARNING_MESSAGE`
    `static int` | `YES_NO_CANCEL_OPTION`
    `static int` | `YES_NO_OPTION`
    `static int` | `YES_OPTION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActionUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `checkResponseCode(java.lang.String result)`
    `static GenericActionCommand` | `createActionCommand(java.lang.String type, java.lang.String title, DataTable parameters)`
    `static ServerActionInput` | `createActionInput(DataTable executionParameters)`
    `static DataTable` | `createDndActionParameters(Context acceptedContext)`
    `static DataTable` | `createDndActionParameters(java.lang.String accepterContextPath)`
    `static TableFormat` | `getActionCommandFormat(java.lang.String type)`
    `static ActionIdentifier` | `initAction(Context context, java.lang.String actionName, ServerActionInput initialParameters, DataTable inputData, ActionExecutionMode mode, CallerController callerController)`
    `static ActionIdentifier` | `initAction(Context context, java.lang.String actionName, ServerActionInput initialParameters, DataTable inputData, java.util.Map<java.lang.String,java.lang.Object> environment, ActionExecutionMode mode, CallerController callerController, ErrorCollector collector)`
    `static void` | `setActionInitializer(ActionInitializer initializer)`
    `static GenericActionCommand` | `stepAction(Context context, ActionIdentifier actionId, GenericActionResponse actionResponse, CallerController callerController)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CMD_SHOW_MESSAGE

          public static final java.lang.String CMD_SHOW_MESSAGE

      See Also:
        Constant Field Values

    - #### CMD_CONFIRM

          public static final java.lang.String CMD_CONFIRM

      See Also:
        Constant Field Values

    - #### CMD_EDIT_DATA

          public static final java.lang.String CMD_EDIT_DATA

      See Also:
        Constant Field Values

    - #### CMD_EDIT_PROPERTIES

          public static final java.lang.String CMD_EDIT_PROPERTIES

      See Also:
        Constant Field Values

    - #### CMD_EDIT_WIDGET

          public static final java.lang.String CMD_EDIT_WIDGET

      See Also:
        Constant Field Values

    - #### CMD_EDIT_PROCESS_CONTROL_PROGRAM

          public static final java.lang.String CMD_EDIT_PROCESS_CONTROL_PROGRAM

      See Also:
        Constant Field Values

    - #### CMD_EDIT_WORKFLOW

          public static final java.lang.String CMD_EDIT_WORKFLOW

      See Also:
        Constant Field Values

    - #### CMD_LAUNCH_WORKFLOW

          public static final java.lang.String CMD_LAUNCH_WORKFLOW

      See Also:
        Constant Field Values

    - #### CMD_LAUNCH_WIDGET

          public static final java.lang.String CMD_LAUNCH_WIDGET

      See Also:
        Constant Field Values

    - #### CMD_LAUNCH_PROCESS_CONTROL_PROGRAM

          public static final java.lang.String CMD_LAUNCH_PROCESS_CONTROL_PROGRAM

      See Also:
        Constant Field Values

    - #### CMD_BROWSE

          public static final java.lang.String CMD_BROWSE

      See Also:
        Constant Field Values

    - #### CMD_SHOW_EVENT_LOG

          public static final java.lang.String CMD_SHOW_EVENT_LOG

      See Also:
        Constant Field Values

    - #### CMD_SHOW_ERROR

          public static final java.lang.String CMD_SHOW_ERROR

      See Also:
        Constant Field Values

    - #### CMD_EDIT_REPORT

          public static final java.lang.String CMD_EDIT_REPORT

      See Also:
        Constant Field Values

    - #### CMD_SHOW_REPORT

          public static final java.lang.String CMD_SHOW_REPORT

      See Also:
        Constant Field Values

    - #### CMD_SHOW_GUIDE

          public static final java.lang.String CMD_SHOW_GUIDE

      See Also:
        Constant Field Values

    - #### CMD_SELECT_ENTITIES

          public static final java.lang.String CMD_SELECT_ENTITIES

      See Also:
        Constant Field Values

    - #### CMD_EDIT_TEXT

          public static final java.lang.String CMD_EDIT_TEXT

      See Also:
        Constant Field Values

    - #### CMD_EDIT_CODE

          public static final java.lang.String CMD_EDIT_CODE

      See Also:
        Constant Field Values

    - #### CMD_SHOW_SYSTEM_TREE

          public static final java.lang.String CMD_SHOW_SYSTEM_TREE

      See Also:
        Constant Field Values

    - #### CMD_SHOW_HTML_SNIPPET

          public static final java.lang.String CMD_SHOW_HTML_SNIPPET

      See Also:
        Constant Field Values

    - #### CMD_ACTIVATE_DASHBOARD

          public static final java.lang.String CMD_ACTIVATE_DASHBOARD

      See Also:
        Constant Field Values

    - #### CMD_SHOW_DIFF

          public static final java.lang.String CMD_SHOW_DIFF

      See Also:
        Constant Field Values

    - #### CMD_CLOSE_DASHBOARD

          public static final java.lang.String CMD_CLOSE_DASHBOARD

      See Also:
        Constant Field Values

    - #### CMD_OPEN_GRID_DASHBOARD

          public static final java.lang.String CMD_OPEN_GRID_DASHBOARD

      See Also:
        Constant Field Values

    - #### CMD_EDIT_GRID_DASHBOARD

          public static final java.lang.String CMD_EDIT_GRID_DASHBOARD

      See Also:
        Constant Field Values

    - #### CMD_EDIT_EXPRESSION

          public static final java.lang.String CMD_EDIT_EXPRESSION

      See Also:
        Constant Field Values

    - #### COMMANDS

          public static final java.util.Map<java.lang.String,java.lang.Class> COMMANDS

    - #### DESCRIPTIONS

          public static final java.util.Map<java.lang.String,java.lang.String> DESCRIPTIONS

    - #### FORMATS

          public static final java.util.Map<java.lang.String,TableFormat> FORMATS

    - #### INDEX_HIGHEST

          public static final int INDEX_HIGHEST

      See Also:
        Constant Field Values

    - #### INDEX_VERY_HIGH

          public static final int INDEX_VERY_HIGH

      See Also:
        Constant Field Values

    - #### INDEX_HIGH

          public static final int INDEX_HIGH

      See Also:
        Constant Field Values

    - #### INDEX_HIGHER

          public static final int INDEX_HIGHER

      See Also:
        Constant Field Values

    - #### INDEX_NORMAL

          public static final int INDEX_NORMAL

      See Also:
        Constant Field Values

    - #### INDEX_LOWER

          public static final int INDEX_LOWER

      See Also:
        Constant Field Values

    - #### INDEX_LOW

          public static final int INDEX_LOW

      See Also:
        Constant Field Values

    - #### INDEX_VERY_LOW

          public static final int INDEX_VERY_LOW

      See Also:
        Constant Field Values

    - #### INDEX_LOWEST

          public static final int INDEX_LOWEST

      See Also:
        Constant Field Values

    - #### DELTA_HIGHEST

          public static final int DELTA_HIGHEST

      See Also:
        Constant Field Values

    - #### DELTA_VERY_HIGH

          public static final int DELTA_VERY_HIGH

      See Also:
        Constant Field Values

    - #### DELTA_HIGH

          public static final int DELTA_HIGH

      See Also:
        Constant Field Values

    - #### DELTA_HIGHER

          public static final int DELTA_HIGHER

      See Also:
        Constant Field Values

    - #### DELTA_LOWER

          public static final int DELTA_LOWER

      See Also:
        Constant Field Values

    - #### DELTA_LOW

          public static final int DELTA_LOW

      See Also:
        Constant Field Values

    - #### DELTA_VERY_LOW

          public static final int DELTA_VERY_LOW

      See Also:
        Constant Field Values

    - #### DELTA_LOWEST

          public static final int DELTA_LOWEST

      See Also:
        Constant Field Values

    - #### RESPONSE_OK

          public static final java.lang.String RESPONSE_OK

      See Also:
        Constant Field Values

    - #### RESPONSE_SAVED

          public static final java.lang.String RESPONSE_SAVED

      See Also:
        Constant Field Values

    - #### RESPONSE_CLOSED

          public static final java.lang.String RESPONSE_CLOSED

      See Also:
        Constant Field Values

    - #### RESPONSE_ERROR

          public static final java.lang.String RESPONSE_ERROR

      See Also:
        Constant Field Values

    - #### YES_NO_OPTION

          public static final int YES_NO_OPTION

      See Also:
        Constant Field Values

    - #### YES_NO_CANCEL_OPTION

          public static final int YES_NO_CANCEL_OPTION

      See Also:
        Constant Field Values

    - #### OK_CANCEL_OPTION

          public static final int OK_CANCEL_OPTION

      See Also:
        Constant Field Values

    - #### YES_OPTION

          public static final int YES_OPTION

      See Also:
        Constant Field Values

    - #### NO_OPTION

          public static final int NO_OPTION

      See Also:
        Constant Field Values

    - #### CANCEL_OPTION

          public static final int CANCEL_OPTION

      See Also:
        Constant Field Values

    - #### OK_OPTION

          public static final int OK_OPTION

      See Also:
        Constant Field Values

    - #### CLOSED_OPTION

          public static final int CLOSED_OPTION

      See Also:
        Constant Field Values

    - #### ERROR_MESSAGE

          public static final int ERROR_MESSAGE

      See Also:
        Constant Field Values

    - #### INFORMATION_MESSAGE

          public static final int INFORMATION_MESSAGE

      See Also:
        Constant Field Values

    - #### WARNING_MESSAGE

          public static final int WARNING_MESSAGE

      See Also:
        Constant Field Values

    - #### QUESTION_MESSAGE

          public static final int QUESTION_MESSAGE

      See Also:
        Constant Field Values

    - #### PLAIN_MESSAGE

          public static final int PLAIN_MESSAGE

      See Also:
        Constant Field Values

    - #### FIELD_ACTION_TARGET_CONTEXT

          public static final java.lang.String FIELD_ACTION_TARGET_CONTEXT

      See Also:
        Constant Field Values

    - #### FIELD_ACTION_FROM_CONTEXT

          public static final java.lang.String FIELD_ACTION_FROM_CONTEXT

      See Also:
        Constant Field Values

    - #### FIELD_ACTION_EXECUTION_PARAMETERS

          public static final java.lang.String FIELD_ACTION_EXECUTION_PARAMETERS

      See Also:
        Constant Field Values

    - #### FORMAT_NORMAL_ACTION

          public static final TableFormat FORMAT_NORMAL_ACTION

    - #### FORMAT_DND_ACTION

          public static final TableFormat FORMAT_DND_ACTION

    - #### FORMAT_PROPAGATED_ACTION

          public static final TableFormat FORMAT_PROPAGATED_ACTION

  - ### Constructor Detail

    - #### ActionUtils

          public ActionUtils()

  - ### Method Detail

    - #### setActionInitializer

          public static void setActionInitializer(ActionInitializer initializer)

    - #### createActionCommand

          public static GenericActionCommand createActionCommand(java.lang.String type,
                                                                 java.lang.String title,
                                                                 DataTable parameters)

    - #### getActionCommandFormat

          public static TableFormat getActionCommandFormat(java.lang.String type)

    - #### checkResponseCode

          public static void checkResponseCode(java.lang.String result)
                                        throws java.lang.IllegalArgumentException

      Throws:
        `java.lang.IllegalArgumentException`

    - #### createDndActionParameters

          public static DataTable createDndActionParameters(Context acceptedContext)

    - #### createDndActionParameters

          public static DataTable createDndActionParameters(java.lang.String accepterContextPath)

    - #### createActionInput

          public static ServerActionInput createActionInput(DataTable executionParameters)

    - #### initAction

          public static ActionIdentifier initAction(Context context,
                                                    java.lang.String actionName,
                                                    ServerActionInput initialParameters,
                                                    DataTable inputData,
                                                    ActionExecutionMode mode,
                                                    CallerController callerController)
                                             throws ContextException

      Throws:
        `ContextException`

    - #### initAction

          public static ActionIdentifier initAction(Context context,
                                                    java.lang.String actionName,
                                                    ServerActionInput initialParameters,
                                                    DataTable inputData,
                                                    java.util.Map<java.lang.String,java.lang.Object> environment,
                                                    ActionExecutionMode mode,
                                                    CallerController callerController,
                                                    ErrorCollector collector)
                                             throws ContextException

      Throws:
        `ContextException`

    - #### stepAction

          public static GenericActionCommand stepAction(Context context,
                                                        ActionIdentifier actionId,
                                                        GenericActionResponse actionResponse,
                                                        CallerController callerController)
                                                 throws ContextException

      Throws:
        `ContextException`